Bug 62623 - Wrong redirection in mkinitrd could destroy file
Wrong redirection in mkinitrd could destroy file
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: mkinitrd (Show other bugs)
1.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-03 01:47 EST by vvs
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-04 22:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vvs 2002-04-03 01:47:04 EST
Description of Problem:

mkinitrd script contains redirections like >2 in several places, which could
destroy file with the same name in the current directory

Version-Release number of selected component (if applicable):

mkinitrd-3.3.6-1

How Reproducible:

Always

Steps to Reproduce:
1. run mkinitrd
2. look for file with name 2 in the current directory
3. 

Actual Results:

File with name 2 was created

Expected Results:

This file should not be created

Additional Information:
	
It should be >&2 instead. I suppose you have already found that, but just in
case.
Comment 1 Jeremy Katz 2002-04-04 22:45:07 EST
Fixed in mkinitrd-3.3.7-1 and newer

Note You need to log in before you can comment on or make changes to this bug.